<?php
  defined('ABSPATH') or die("Please don't run this script.");

global $simple_days_amp;
$simple_days_amp = get_theme_mod( 'simple_days_amp',false);
get_template_part( 'inc/extras' );

function is_amp(){
  global $simple_days_amp;
  $is_amp = false;
  if ( empty($_GET['amp']) ) {
    return false;
  }
  $is_amp = ($simple_days_amp == true && $_GET['amp'] === '1') ? true : false;
  return $is_amp;
}
function simple_days_admin_menu() {
  add_theme_page( 'Simple Days', 'Simple Days', 'manage_options', 'customize.php?autofocus[panel]=simple_days_setting' );
}
add_action('admin_menu', 'simple_days_admin_menu');

function simple_days_setup() {

  load_theme_textdomain( 'simple-days', get_template_directory() . '/languages' );
  add_theme_support('post-thumbnails');
  add_theme_support( 'title-tag' );
  add_theme_support( 'automatic-feed-links' );

  
  add_theme_support( 'html5', array(
    'comment-form',
    'comment-list',
    'gallery',
    'caption',
    'script',
    'style',
  ) );

  if ( ! isset( $content_width ) ) {
    $content_width = 767;
  }

  add_theme_support( 'custom-background', array(
  'default-color'          => '',
  'default-image'          => '',
  'default-repeat'         => '',
  'default-position-x'     => '',
  'default-attachment'     => '',
  'wp-head-callback'       => '_custom_background_cb',
  'admin-head-callback'    => '',
  'admin-preview-callback' => ''
   ));

   
   get_template_part( 'inc/customizer' );
   // Indicate widget sidebars can use selective refresh in the Customizer.(WP4.7)
   add_theme_support( 'customize-selective-refresh-widgets' );

   add_theme_support( 'custom-logo', array(
		'height'      => 60,
		'width'       => 280,
		'flex-height' => true,
		'flex-width'  => true,
   ));

   add_theme_support('custom-header',array(
        //default image (empty to use none).
        'default-image'          => '',
        'uploads' => true,
        // Set height and width, with a maximum value for the width.
        'height'                 => 60,
        'width'                  => 1980,
   ));

   register_nav_menu( 'primary' , esc_attr__( 'Primary Menu', 'simple-days' ));
   get_template_part( 'inc/starter_content' );
}
add_action( 'after_setup_theme', 'simple_days_setup' );

function simple_days_widgets_init() {
  get_template_part( 'inc/widgets' );
}
add_action( 'widgets_init', 'simple_days_widgets_init' );

function simple_days_add_editor_styles() {
  add_editor_style( 'assets/css/custom-editor-style.css' );
}
add_action( 'admin_init', 'simple_days_add_editor_styles' );

function simple_days_remove_hentry( $hentry ) {
  return array_diff($hentry, array('hentry'));
}
add_filter('post_class', 'simple_days_remove_hentry');


function simple_days_get_the_archive_title($title) {
  if ( is_category() ) {
    $title = single_cat_title( '<i class="fa fa-folder-open-o" aria-hidden="true"></i> ', false );
  }elseif ( is_tag() ) {
    $title = single_tag_title( '<i class="fa fa-tag" aria-hidden="true"></i> ', false );
  } elseif ( is_author() ) {
    $title = '<i class="fa fa-user" aria-hidden="true"></i> '. get_the_author();

  } elseif ( is_year() || is_month() || is_day() ) {
  	$title = '<i class="fa fa-calendar-check-o" aria-hidden="true"></i> '. $title;
  }
  return $title;
}
add_filter( 'get_the_archive_title', 'simple_days_get_the_archive_title');


function simple_days_replace_script_type($tag) {
 if (!is_amp()){
   $tag =  str_replace("type='text/javascript' src='https://www.googletagmanager.com/gtag/js", "async src='https://www.googletagmanager.com/gtag/js", $tag);
  }else{
   $tag =  preg_replace('/^(?!.*(ampproject)).*$/i', '', $tag);
   $tag =  str_replace("type='text/javascript'", "async", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-ad-0.1.js", " custom-element=\"amp-ad\" src='https://cdn.ampproject.org/v0/amp-ad-0.1.js", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-form-0.1.js", " custom-element=\"amp-form\" src='https://cdn.ampproject.org/v0/amp-form-0.1.js", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-analytics-0.1.js", " custom-element=\"amp-analytics\" src='https://cdn.ampproject.org/v0/amp-analytics-0.1.js", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-iframe-0.1.js", " custom-element=\"amp-iframe\" src='https://cdn.ampproject.org/v0/amp-iframe-0.1.js", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js", " custom-element=\"amp-facebook-like\" src='https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js", $tag);
  }
  return $tag;
}
add_filter( 'script_loader_tag','simple_days_replace_script_type');


function simple_days_replace_link_stylesheet( $tag ) {
 if (is_amp()){
   $tag =  preg_replace( array( "/'/", '/(id|type|media)=".+?" */', '/ \/>/' ), array( '"', '', '>' ), $tag );
 }
 return $tag;
}
add_filter( 'style_loader_tag', 'simple_days_replace_link_stylesheet' );


function simple_days_required_stylesheets(){


  if (!is_amp()){
	  wp_enqueue_style('simple_days-style', get_template_directory_uri() . '/assets/css/style.min.css');

    if( is_active_widget( false, false, 'simple_days_ad_link', true )){
	     wp_enqueue_script( 'google-adsense-js', '//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js', array(), null );
    }



    if ( !is_user_logged_in() ){
        $ga_analytics_id = esc_attr(get_theme_mod( 'simple_days_ga_analytics_id',''));
        if ( get_theme_mod( 'simple_days_ga_analytics') == '1' && $ga_analytics_id != '') {
         wp_enqueue_script('google-analytics-ga', get_template_directory_uri() . '/assets/js/ga.js', array(), null );
         wp_localize_script( 'google-analytics-ga', 'ga_analytics_id', $ga_analytics_id );
        }
        if ( get_theme_mod( 'simple_days_ga_analytics') == '2' && get_theme_mod( 'simple_days_ga_analytics_id','') != '') {
         wp_enqueue_script('google-analytics-gtag-main', 'https://www.googletagmanager.com/gtag/js?id='.$ga_analytics_id, array(), null );
         wp_enqueue_script('google-analytics-gtag', get_template_directory_uri() . '/assets/js/gtag.js', array(), null );
         wp_localize_script( 'google-analytics-gtag', 'ga_analytics_id', $ga_analytics_id );
        }
    }
  }else{


    if (!is_user_logged_in()){
       global $wp_scripts, $wp_styles;
       $wp_styles->queue = array();
       $wp_scripts->queue = array();
    }

    
    wp_enqueue_script('amp','https://cdn.ampproject.org/v0.js', array(), null );
    wp_enqueue_script('amp-ad','https://cdn.ampproject.org/v0/amp-ad-0.1.js', array(), null );
    wp_enqueue_script('amp-form','https://cdn.ampproject.org/v0/amp-form-0.1.js', array(), null );
    if(get_theme_mod( 'simple_days_amp_analytics','') != ''){
      wp_enqueue_script('amp-analytics','https://cdn.ampproject.org/v0/amp-analytics-0.1.js', array(), null );
    }
    wp_enqueue_script('amp-iframe','https://cdn.ampproject.org/v0/amp-iframe-0.1.js', array(), null );
    if(get_theme_mod( 'simple_days_social_cta_facebook',false) == true && is_single() && get_theme_mod( 'simple_days_social_cta',false) == true && get_theme_mod( 'simple_days_social_account_facebook',false) == true){
      wp_enqueue_script('amp-facebook-like','https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js', array(), null );
    }
    if(get_theme_mod( 'simple_days_social_cta_page',false) == true && is_page() && get_theme_mod( 'simple_days_social_cta',false) == true && get_theme_mod( 'simple_days_social_account_facebook',false) == true){
      wp_enqueue_script('amp-facebook-like','https://cdn.ampproject.org/v0/amp-facebook-like-0.1.js', array(), null );
    }

    require_once(ABSPATH . 'wp-admin/includes/file.php');
    if ( WP_Filesystem() ) {
      global $wp_filesystem;
      $css = $wp_filesystem->get_contents(get_template_directory_uri() .'/assets/css/style.min.css');
      if (get_theme_file_uri('style.css') != get_template_directory_uri() .'/style.css'){
        $css .= $wp_filesystem->get_contents(get_theme_file_uri('style.min.css'));
      }
      $icomoon = $wp_filesystem->get_contents(get_template_directory_uri() .'/assets/fonts/icomoon/style.min.css');
      $css .= str_replace('url(\'icomoon','url(\''.esc_url(get_template_directory_uri()) .'/assets/fonts/icomoon/icomoon',$icomoon);
      //$fontawesome4 = $wp_filesystem->get_contents(get_template_directory_uri() .'/assets/fonts/fontawesome/css/font-awesome.min.css');
      //$css .= str_replace('url(\'../fonts/','url(\''.esc_url(get_template_directory_uri()) .'/assets/fonts/fontawesome/fonts/',$fontawesome4);
    }
    if(get_theme_mod( 'simple_days_sidebar_layout','3') == 1){
      $css .= ' .sidebar{-webkit-box-ordinal-group:1;-ms-flex-order:1;-webkit-order:1;order:1;margin: 0 30px 0 0;}'."\n";
    }
    $mod = get_theme_mod('simple_days_background_color');
    if ( !empty( $mod ) ) {
      $css .= ' body{background-color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('link_textcolor');
    if ( !empty( $mod ) ) {
      $css .= ' a{color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('link_hover_color');
    if ( !empty( $mod ) ) {
      $css .= ' a:hover:not(.non_hover){color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('blog_name');
    if ( !empty( $mod ) ) {
      $css .= ' .site_title a{color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('header_color');
    if ( !empty( $mod ) ) {
      $css .= ' #site_header{background:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('footer_color');
    if ( !empty( $mod ) ) {
      $css .= ' .credit_wrap{background:'. esc_attr($mod).'}'."\n";
    }
    $css .= wp_get_custom_css();
    wp_register_style( 'amp-custom', false ); wp_enqueue_style( 'amp-custom' );
    wp_add_inline_style( 'amp-custom', $css );

        
    wp_enqueue_style('font-awesome4', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', array(), null);
  }


	

    
    

  if ( is_singular() && comments_open() && get_option( 'thread_comments' ) && !is_amp() ) {
    wp_enqueue_script( 'comment-reply' );
  }

}
add_action('wp_enqueue_scripts','simple_days_required_stylesheets');


function simple_days_footer_stylesheets() {

  if (!is_amp()){
    
    if(get_theme_mod( 'simple_days_fontawesome',false) == false){
      wp_enqueue_style('font-awesome4', get_template_directory_uri() . '/assets/fonts/fontawesome/style.min.css', array(), null);
    }else{
      wp_enqueue_style('font-awesome4', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', array(), null);
    }
    wp_enqueue_style('font-icomoon', get_template_directory_uri() . '/assets/fonts/icomoon/style.min.css', array(), null);
    if( get_theme_mod( 'simple_days_lightbox') == 'lity'){
       wp_enqueue_script( 'simplelightbox-js', get_template_directory_uri() . '/assets/js/lity/lity.min.js', array( 'jquery' ), null , true );
       wp_enqueue_style('simplelightbox-css', get_template_directory_uri() . '/assets/js/lity/lity.min.css', array(), null);
    }

    if ( !is_user_logged_in() ){

    }
  }else{

  }
};
add_action( 'wp_footer', 'simple_days_footer_stylesheets' );


function highlight_load() {
  wp_enqueue_style('highlight_style', get_template_directory_uri() . '/assets/js/highlight/styles/'.get_theme_mod( 'simple_days_highlight_styles','default').'.css', array(), null);
  wp_enqueue_script('highlight_script',get_template_directory_uri() . '/assets/js/highlight/highlight.pack.js', array(), null );
}
function highlight_onload() {
  echo '<script>hljs.initHighlightingOnLoad();</script>';
}


function simple_days_add_meta($post_id){
  if (!is_amp()){
    if ( !is_user_logged_in() ){

      if( get_theme_mod( 'simple_days_google_site_verification','') != '' && get_theme_mod( 'simple_days_ga_analytics',false) == true && get_theme_mod( 'simple_days_ga_analytics_id','') != ''){
        echo '<meta name="google-site-verification" content="'.esc_attr(get_theme_mod( 'simple_days_google_site_verification','')).'"/>'."\n";
      }
    }
  }
  
  if ( get_theme_mod( 'simple_days_ogp',false) == true ){
      $url='';$description='';$title='';$image='';
       if(is_home()){
         $url = home_url();
         $description = get_bloginfo('description');
         $title = get_bloginfo('name');
         if (get_theme_mod( 'simple_days_ogp_logo_img') != ''){
           $imgae = get_theme_mod( 'simple_days_ogp_logo_img');
         } else{
           $imgae = get_template_directory_uri() .'/assets/images/ogp.jpg';
         }
       }else{
         $url = get_the_permalink();
         if(have_posts()): while(have_posts()): the_post();
           $description = wp_trim_excerpt();
         endwhile; endif;
         $title = get_the_title();
         if(!has_post_thumbnail()) {
           if (get_theme_mod( 'simple_days_ogp_logo_img') != ''){
             $imgae = get_theme_mod( 'simple_days_ogp_logo_img');
           } else{
             $imgae = get_template_directory_uri() .'/assets/images/no_image.png';
           }
         }else{
            $imgae = wp_get_attachment_image_src( get_post_thumbnail_id() , 'full' );
            $imgae = $imgae[0];
         }
       }
       $get_locale = get_locale();
       if ($get_locale == 'ja'):$get_locale = 'ja_JP'; endif;

       echo '<meta property="og:url"                content="'.esc_url($url).'" />'."\n";
       echo '<meta property="og:type"               content="'.(is_singular() ? 'article' : 'website').'" />'."\n";
       echo '<meta property="og:title"              content="'.esc_attr($title).'" />'."\n";
       echo '<meta property="og:description"        content="'.esc_attr($description).'" />'."\n";
       echo '<meta property="og:image"              content="'.esc_url($imgae).'" />'."\n";
       echo '<meta property="og:site_name"          content="'.esc_attr(get_bloginfo('name')).'" />'."\n";
       echo '<meta property="og:locale"             content="'.esc_attr($get_locale).'" />'."\n";
       if ( get_theme_mod( 'simple_days_social_account_facebook_app_id' , '') != ''){
          echo '<meta property="fb:app_id"             content="'.esc_attr(get_theme_mod( 'simple_days_social_account_facebook_app_id' , '')).'" />'."\n";
       }
       if ( get_theme_mod( 'simple_days_social_account_facebook_admins' , '') != ''){
          echo '<meta property="fb:admins"             content="'.esc_attr(get_theme_mod( 'simple_days_social_account_facebook_admins' , '')).'" />'."\n";
       }

       $simple_days_twitter_card = get_theme_mod( 'simple_days_twitter_card' , 'false');
       $simple_days_twitter_user_name = get_theme_mod( 'simple_days_social_account_twitter' , '');
       if ( $simple_days_twitter_card != 'false' && $simple_days_twitter_user_name != ''){
          $simple_days_twitter_user_name = '@' . str_replace( '@' , '' , $simple_days_twitter_user_name );
          echo '<meta name="twitter:card" content="'.esc_attr($simple_days_twitter_card).'" />'."\n";
          echo '<meta name="twitter:site" content="'.esc_attr($simple_days_twitter_user_name).'" />'."\n";
       }
  }
  if ( get_theme_mod( 'simple_days_popular_post' , false) == true){
	if (!is_singular() || is_user_logged_in()) return;
	if (empty($post_id)) {
		global $post;
		$post_id = $post->ID;
	}
	//var_dump($post_id);
	simple_days_popular_posts($post_id);
  }

}
add_action( 'wp_head', 'simple_days_add_meta' );






function simple_days_popular_posts($post_id) {

    $count_key = '_simple_days_popular_posts_count';
    $period_key = '_simple_days_popular_posts_period';
    $period = get_theme_mod( 'simple_days_popular_post_period' , 'all');
switch ($period){
case 'all':
  $period_value = 'all';
  break;
case 'monthly':
  $period_value = date('Y').date('n');
  break;
 case 'weekly':
  $period_value = date('Y').date('W');
  break;
case 'daily':
  $period_value = date('Y').date('n').date('j');
  break;
default:
}
	
    $count_value = get_post_meta($post_id, $count_key, true);
    //var_dump($count_key);
	if (empty($count_value) || !isset($count_value)) {
	  $count_value = 1;
	  add_post_meta($post_id, $count_key, $count_value);
	  add_post_meta($post_id, $period_key, $period_value);
	} else {
      $period_old_value = get_post_meta($post_id, $period_key, true);
      if($period_value!=$period_old_value){
        $count_value = 1;
        update_post_meta($post_id, $period_key, $period_value);
      }else{
        $count_value++;
      }
      update_post_meta($post_id, $count_key, $count_value);
	}

/*
		// Show view the count for testing purposes (add "?show_count=1" onto the URL)
		if ( isset($_GET['show_count']) && intval($_GET['show_count']) == 1 ) {
			echo '<p style="color:red; text-align:center; margin:1em 0;">';
			echo get_post_meta( $post->ID, $custom_field, true );
			echo ' views of this post</p>';
		}*/
}


function simple_days_comment($comment, $args, $depth) { ?>
  <li id="comment-<?php comment_ID() ?>" <?php comment_class(); ?>>
    <div class="comment_body" itemscope itemtype="http://schema.org/UserComments">
      <div class="comment_metadata">
        <span class="fn" itemprop="creator" itemscope itemtype="http://schema.org/Person"><?php echo get_comment_author_link(); ?></span>
        <time><?php comment_date(get_option( 'date_format' )); ?></time>
        <span class="comment_reply">
          <?php comment_reply_link(array_merge( $args, array('reply_text' => '<i class="fa fa-reply" aria-hidden="true"></i> '.__('Reply', 'simple-days'),'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
        </span>
        <span class="comment_edit">
          <?php edit_comment_link('<i class="fa fa-pencil" aria-hidden="true"></i> '.__('Edit', 'simple-days'),'  ','') ?>
        </span>
      </div>
      <div class="comment_main">
        <div class="comment_avatar">
          <?php echo get_avatar( $comment->comment_author_email, 100 ); ?>
        </div>
        <div class="comment_text" itemprop="commentText">
          <?php comment_text() ?>
        </div>

      </div>
      <?php if ($comment->comment_approved == '0') : ?>
        <span><?php esc_html_e('*Your comment is awaiting moderation.*', 'simple-days') ?></span>
      <?php endif; ?>
    </div>
  </li>
<?php }


function simple_days_add_quicktags() {

 if (wp_script_is('quicktags')){
?>
 <script type="text/javascript">
 QTags.addButton( 'heading-1', '<?php esc_html_e( 'h1', 'simple-days' ); ?>', '<h1>', '</h1>', '', '<?php esc_html_e( 'Heading ', 'simple-days' ); ?>1', 1000 );
 QTags.addButton( 'heading-2', '<?php esc_html_e( 'h2', 'simple-days' ); ?>', '<h2>', '</h2>', '', '<?php esc_html_e( 'Heading ', 'simple-days' ); ?>2', 1001 );
 QTags.addButton( 'heading-3', '<?php esc_html_e( 'h3', 'simple-days' ); ?>', '<h3>', '</h3>', '', '<?php esc_html_e( 'Heading ', 'simple-days' ); ?>3', 1002 );
 QTags.addButton( 'heading-4', '<?php esc_html_e( 'h4', 'simple-days' ); ?>', '<h4>', '</h4>', '', '<?php esc_html_e( 'Heading ', 'simple-days' ); ?>4', 1003 );
 QTags.addButton( 'heading-5', '<?php esc_html_e( 'h5', 'simple-days' ); ?>', '<h5>', '</h5>', '', '<?php esc_html_e( 'Heading ', 'simple-days' ); ?>5', 1004 );
 QTags.addButton( 'heading-6', '<?php esc_html_e( 'h6', 'simple-days' ); ?>', '<h6>', '</h6>', '', '<?php esc_html_e( 'Heading ', 'simple-days' ); ?>6', 1005 );
 QTags.addButton( 'notification-info', '<?php esc_html_e( 'BOX (info)', 'simple-days' ); ?>', '<div class="info_simpledays">', '</div>', '', '<?php esc_html_e( 'Notification', 'simple-days' ); ?>', 1010 );
 QTags.addButton( 'notification-success', '<?php esc_html_e( 'BOX (success)', 'simple-days' ); ?>', '<div class="success_simpledays">', '</div>', '', '<?php esc_html_e( 'Notification', 'simple-days' ); ?>', 1011 );
 QTags.addButton( 'notification-alert', '<?php esc_html_e( 'BOX (alert)', 'simple-days' ); ?>', '<div class="alert_simpledays">', '</div>', '', '<?php esc_html_e( 'Notification', 'simple-days' ); ?>', 1012 );
 QTags.addButton( 'notification-danger', '<?php esc_html_e( 'BOX (danger)', 'simple-days' ); ?>', '<div class="danger_simpledays">', '</div>', '', '<?php esc_html_e( 'Notification', 'simple-days' ); ?>', 1013 );
<?php if( get_theme_mod( 'simple_days_highlight' , false) == true){ ?>
 QTags.addButton( 'pre-code', '<?php esc_html_e( 'pre code', 'simple-days' ); ?>', '<pre><code>', '</code></pre>', '', '<?php esc_html_e( 'Code', 'simple-days' ); ?>', 1020 );
<?php } ?>
 </script>
<?php
 }
}
add_action( 'admin_print_footer_scripts', 'simple_days_add_quicktags' );

function simple_days_customizer_css() {
	wp_enqueue_style( 'simple_days_customizer_css', get_template_directory_uri() . '/assets/css/customizer.min.css', array(), null );
}
add_action( 'customize_controls_print_styles', 'simple_days_customizer_css' );

function simple_days_delete_blog_card_cache() {
  delete_option('simple_days_external_cache');
  $dir = WP_CONTENT_DIR.'/uploads/simple_days_cache/';
  if ( file_exists($dir) ) {
    require_once(ABSPATH . 'wp-admin/includes/file.php');
    global $wp_filesystem;
    if ( WP_Filesystem() ) {
      if ( $wp_filesystem->is_dir($dir) ) {
        $wp_filesystem->delete($dir,true);
      }
    }
  }
  $allposts = get_posts( 'numberposts=-1&post_type=post&post_status=any' );
  foreach( $allposts as $postinfo ) {
    delete_post_meta( $postinfo->ID, '_simple_days_popular_posts_count');
    delete_post_meta( $postinfo->ID, '_simple_days_popular_posts_period');
  }
}
add_action('switch_theme', 'simple_days_delete_blog_card_cache');


if (is_amp()){

  
  function simple_days_head_amp_custom_start() {
    ob_start( 'simple_days_head_amp_custom_replace' );
  }

  function simple_days_head_amp_custom_replace($buffer) {
    $buffer = str_replace("id='amp-custom-inline-css'", "amp-custom", $buffer);
    $buffer = preg_replace('/<link (.*?)type=\"text\/css\"(.*?)>/i', '', $buffer);
    return $buffer;
  }

  function simple_days_head_amp_custom_end() {
    ob_end_flush();
  }
  add_action( 'wp_head', 'simple_days_head_amp_custom_start', 0 );
  add_action( 'wp_head', 'simple_days_head_amp_custom_end', 100 );

  
  function simple_days_head_amp_footer_start() {
    ob_start( 'simple_days_head_amp_footer_replace' );
  }

  function simple_days_head_amp_footer_replace($buffer) {
    $buffer = preg_replace('/<script type=\"text\/javascript\">(.*?)<\/script>/is', '', $buffer);
    $buffer = preg_replace('/<link rel=\"style(.*?)>/is', '', $buffer);
    return $buffer;
  }

  function simple_days_head_amp_footer_end() {
    ob_end_flush();
  }
  add_action( 'wp_footer', 'simple_days_head_amp_footer_start', 0 );
  add_action( 'wp_footer', 'simple_days_head_amp_footer_end', 100 );

  
  function simple_days_TagCloud_slug_class( $taglinks ) {
    $taglinks = preg_replace( '/ style="(.*?)"/i', '', $taglinks );
    return $taglinks;
  }
  add_filter ( 'wp_tag_cloud', 'simple_days_TagCloud_slug_class' );

  
  function simple_days_remove_widgets_style() {
    global $wp_widget_factory;
    remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
  }
  add_action( 'widgets_init', 'simple_days_remove_widgets_style' );

  
  function simple_days_head_amp_custom_comment_avatar($get_avatar) {
    $get_avatar = preg_replace( '/<img (.*?)>/i', '<amp-img $1></amp-img>', $get_avatar );
    return $get_avatar;
  }

  
  function simple_days_head_amp_custom_comment_reply_link($comment_reply_link) {
    $comment_reply_link = preg_replace( '/ onclick=\'(.*?)\'/i', '', $comment_reply_link );
    return $comment_reply_link;
  }
  add_filter( 'comment_reply_link', 'simple_days_head_amp_custom_comment_reply_link' );

  
  if (!is_user_logged_in()){

  	function simple_days_disable_script() {
     add_filter( 'get_avatar', 'simple_days_head_amp_custom_comment_avatar' );
     add_filter( 'cancel_comment_reply_link', '__return_false' );

     remove_action('wp_head', 'wp_resource_hints', 2);
     remove_action('wp_head', 'print_emoji_detection_script', 7);
     remove_action('admin_print_scripts', 'print_emoji_detection_script');
     remove_action('wp_print_styles', 'print_emoji_styles' );
     remove_action('admin_print_styles', 'print_emoji_styles');
     remove_action('wp_head', 'rest_output_link_wp_head');
     remove_action('wp_head', 'wp_oembed_add_discovery_links');
     remove_action('wp_head', 'wp_oembed_add_host_js');
     remove_action('wp_head', 'feed_links', 2);
     remove_action('wp_head', 'feed_links_extra', 3);
     remove_action('wp_head', 'rsd_link');
     remove_action('wp_head', 'wlwmanifest_link');
     remove_action('wp_head', 'wp_generator');
     remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
     remove_action('wp_head', 'rel_canonical');
     remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0);

     remove_action( 'wp_footer', 'wp_print_footer_scripts' );
    }
    add_action( 'init', 'simple_days_disable_script',999999999999);
  }
}

function simple_days_customize_preview() {




}

add_action( 'customize_preview_init', 'simple_days_customize_preview' );
