<?php
/**
 * Widget Profile
 *
 * @package Simple Days
 */


class simple_days_profile_widget extends WP_Widget {

	
	function __construct() {
		parent::__construct(
			'simple_days_profile_widget', // Base ID
			esc_html__( '[Simple Days] Profile', 'simple-days' ), // Name
			array( 'description' => esc_html__( 'Support profile for Widget', 'simple-days' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
	  echo $args['before_widget'];
	  //echo esc_html(apply_filters( 'widget_title', $instance['profile_title'] ));
      $bg_image = get_theme_mod( 'simple_days_profile_background_image' , '');
      $profile_image = get_theme_mod( 'simple_days_profile_image' , '');


	  echo '<div class="profile_box"><h3 class="widget_title">'.esc_html(get_theme_mod( 'simple_days_profile_title' , esc_html__( 'About me', 'simple-days'))).'</h3><div class="profile_box_wrap"><div class="profile_bg_image_wrap"><div class="profile_background fit_box_img_wrap'.($bg_image == '' && $profile_image == ''  ? ' profile_no_bg_no_img' : '').'">';
      if($bg_image != ''){
        echo '<'.(is_amp() ? 'amp-img layout="responsive"':'img').' src="'.esc_url($bg_image).'" height="160" width="310" alt="'.esc_html(get_theme_mod( 'simple_days_profile_name' , '')).'" />';
      }
	  echo '</div><div class="profile_image_name_wrap'.($bg_image == '' ? ' profile_no_bg' : '').($bg_image != '' && $profile_image == '' ? ' profile_bg_no_img' : '').'">';
      if($profile_image != ''){
        echo '<div class="profile_image_wrap profile_image_shape_'.esc_attr(get_theme_mod( 'simple_days_profile_image_wrap' , 'circle')).' fit_box_img_wrap"><'.(is_amp() ? 'amp-img layout="responsive"':'img').' src="'.esc_url($profile_image).'" height="120" width="120" class="" alt="background" /></div>';
      }
	  echo '<span class="profile_name">'.esc_html(get_theme_mod( 'simple_days_profile_name' , '')).'</span></div></div><div class="profile_wrap'.($bg_image == '' ? ' profile_no_bg' : '').'"><p class="profile_text">'.esc_html(get_theme_mod( 'simple_days_profile_text' , ''));
      if(get_theme_mod( 'simple_days_profile_read_more_url' , '') != ''){
        echo '<br /><a href="'.esc_url(get_theme_mod( 'simple_days_profile_read_more_url' , '')).'" class="profile_read_more"'.(get_theme_mod( 'simple_days_profile_read_more_blank' , false) == true ? ' target="_blank"' : '').'>'.esc_html(get_theme_mod( 'simple_days_profile_read_more_text' , esc_html__( 'Read More', 'simple-days' ))).'</a>';
      }
	  echo '</p><div class="profile_sns_wrap"><ul class="sns_link_icon">';


$sns_icon = array();
      $icon_color = '';
      if(get_theme_mod( 'simple_days_profile_social_icon_color',false) == true) $icon_color = ' sns_dark_color';
      $icon_style = get_theme_mod( 'simple_days_profile_social_link_shape','icon_square');
      $icon_size = get_theme_mod( 'simple_days_profile_social_link_size','');
      $sns_tooltip = $icon_style == 'icon_rectangle' || $icon_style == 'icon_hollow_rectangle' ? '' : ' sns_tooltip';
      $i = 1;
      while($i <= 5){
      	$sns_url= '';
      	$sns_icon[$i] = get_theme_mod( 'simple_days_profile_social_icon_'.$i,'none');
      	$sns_account = get_theme_mod( 'simple_days_social_account_'.$sns_icon[$i],'');
      	$sns_icon[$i] == 'feedly' ? $sns_account = 'feedly' : '';
        $sns_icon[$i] == 'rss' ? $sns_account = 'rss' : '';
        if ($sns_icon[$i] != 'none' && $sns_account != ''){
switch ($sns_icon[$i]){


case 'facebook':
  $sns_url = esc_url('https://www.facebook.com/'.$sns_account);
  break;

case 'feedly':
  $sns_url = esc_url('https://feedly.com/i/subscription/feed/'.get_bloginfo('rss_url'));
  break;

case 'flickr':
  $sns_url = esc_url('https://www.flickr.com/photos/'.$sns_account);
  break;

case 'github':
  $sns_url = esc_url('https://github.com/'.$sns_account);
  break;

case 'googleplus':
  $sns_url = esc_url('https://plus.google.com/'.$sns_account);
  break;

case 'hatenabookmark':
  $sns_url = esc_url('https://b.hatena.ne.jp/'.$sns_account);
  break;

case 'instagram':
  $sns_url = esc_url('https://www.instagram.com/'.$sns_account);
  break;

case 'line':
  $sns_url = esc_url('http://line.naver.jp/ti/p/'.$sns_account);
  break;

case 'linkedin':
  $sns_url = esc_url('https://www.linkedin.com/in/'.$sns_account);
  break;

case 'pinterest':
  $sns_url = esc_url('https://www.pinterest.com/'.$sns_account);
  break;

case 'rss':
  $sns_url = get_bloginfo('rss_url');
  break;

case 'tumblr':
  $sns_url = esc_url('https://'.$sns_account.'.tumblr.com/');
  break;

case 'twitter':
  $sns_url = esc_url('https://twitter.com/'.$sns_account);
  break;

case 'vimeo':
  $sns_url = esc_url('https://vimeo.com/'.$sns_account);
  break;

case 'youtube':
  $sns_url = esc_url('https://www.youtube.com/'.$sns_account);
  break;



default:
  //どれでも無い
}
          if($sns_icon[$i] !='flickr'){
            echo '<li><a href="'.esc_url($sns_url).'" class="sns_'.esc_attr( $sns_icon[$i] ).' icon_base '.esc_attr( $icon_style ).' '.esc_attr( $icon_size ) . esc_attr($sns_tooltip) .' non_hover'.$icon_color.'" title="'.(esc_attr( $sns_icon[$i] ) =='hatenabookmark' ? esc_attr__('Hatena Bookmark', 'simple-days') : esc_attr( ucfirst( $sns_icon[$i] ) )).'" target="_blank"><i class="icomoon icon-'.esc_attr( $sns_icon[$i] ).'"></i></a></li>';

          }else{
            echo '<li><div class="'.esc_attr( $icon_style ).' bg_flickr'.($icon_style == "icon_rectangle" || $icon_style == "icon_hollow_rectangle" ? " rectangle_flickr" : "").'"><a href="'.esc_url($sns_url).'" class="sns_'.esc_attr( $sns_icon[$i] ).' icon_base '.esc_attr( $icon_style ).' '.esc_attr( $icon_size ) . ' '.esc_attr( $icon_size ).'_flickr' . esc_attr($sns_tooltip) .' non_hover'.$icon_color.($icon_style == "icon_rectangle" || $icon_style == "icon_hollow_rectangle" ? " rectangle_flickr_icon rec_flickr_".esc_attr($icon_size) : "").(($icon_style == "icon_hollow_rectangle" || $icon_style == "icon_hollow_square" || $icon_style == "icon_hollow_circle" ) && $icon_color == ' sns_dark_color' ? ' sns_flickr_dark' : '').($icon_style == "icon_rectangle" && $icon_color == ' sns_dark_color' ? ' sns_flickr_dark_rectangle' : '').'" title="'.esc_attr( ucfirst( $sns_icon[$i] ) ).'" target="_blank"><i class="icomoon icon-'.esc_attr( $sns_icon[$i] ).'"></i></a></div></li>';
          }
        }
        $i++;
      }




	  echo '</ul></div></div></div></div>';




      echo $args['after_widget'];
	}
	public function form( $instance ) {

	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();

		return $instance;
	}

} // class simple_days_profile_widget
