<?php get_header(); ?>
<main itemprop="mainContentOfPage" itemscope="itemscope" itemtype="http://schema.org/Blog">
  <div class="container">
    <div class="contents contents_bg mt20 simple_days_box_shadow">
<?php while(have_posts()): the_post(); ?>
    <article class="article">
      <header>
      	<?php if ( !is_front_page()) get_template_part( 'inc/header_meta','json' ); ?>
<?php
          $single_sortable = array();
          $single_sortable = get_theme_mod( 'simple_days_pages_header_sortable',array('breadcrumbs','title','date','author','thumbnail',
          ));
          foreach ($single_sortable as $key => $value) {
switch ($value){
case 'breadcrumbs':
         if ( !is_front_page()) {
           get_template_part( 'inc/breadcrumbs' );
           simple_days_breadcrumbs();
         }
  break;
case 'title':
  echo '<h1 class="single_entry_title">'. esc_html(get_the_title()).'</h1>';
  edit_post_link( '<i class="fa fa-pencil-square-o" aria-hidden="true"></i> '.esc_attr__( 'Edit this post', 'simple-days' ) , '<span class="post_edit">' , '</span>');
  break;
case 'date':
    if(get_theme_mod( 'simple_days_page_date',false) == true) {
    echo '<p class="post_date"><i class="fa fa-calendar-check-o" aria-hidden="true"></i> '.get_the_date();
    if (get_the_modified_date('Ymd') > get_the_date('Ymd')){
      echo '&emsp;<span class="post_updated"><i class="fa fa-history" aria-hidden="true"></i> <time datetime="'. esc_html(get_the_modified_time('c')).'">'.esc_html(get_the_modified_date()).'</time></span>';
    }
    echo '</p>';
    }
  break;
case 'author':
    if(get_theme_mod( 'simple_days_page_author',false) == true) {
    echo '<p class="post_author"><i class="fa fa-user" aria-hidden="true"></i> <a href="'.esc_html(get_author_posts_url( get_the_author_meta( 'ID' ) )).'">'. get_the_author() .'</a></p>';
    }
  break;
case 'thumbnail':
  if(get_theme_mod( 'simple_days_page_thumbnail',true) == true && has_post_thumbnail() ) {
    echo '<figure class="page_thumbnail">';
    $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id (), 'full');
    echo '<'.( is_amp() ? 'amp-img layout="responsive"' : 'img' ).' src="'.esc_url( $thumurl[0] ).'" width="'.esc_attr( $thumurl[1] ).'" height="'.esc_attr( $thumurl[2] ).'" /></figure>';
  }
  break;
  default:
  
}

          }//end foreach

 ?>

      </header>
      <div id="post_body" class="post_body">
      <?php
        if (is_page(get_theme_mod( 'simple_days_sitemap_page_post_name','')) && get_theme_mod( 'simple_days_sitemap_page',false) == true) {get_template_part( 'template-parts/content','sitemap' );
        }else{the_content();} ?>
        <div class="clearfix"></div>
        <?php  
          if ( is_active_sidebar( 'under_page' ) ) : ?>
          <aside class="under_page_widget">
            <?php dynamic_sidebar( 'under_page' ); ?>
          </aside>
          <?php endif;
          ?>
      </div>
      <footer>

        <?php

          $single_sortable = array();
          $single_sortable = get_theme_mod( 'simple_days_pages_footer_sortable',array('cta','share','author','related','category','tag','comment',
          ));
          $pwcat = '';
          include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
          if ( is_plugin_active( 'pages-with-category-and-tag/pages_with_category_and_tag.php' ) ) {
              $pwcat = '1';
          }


          foreach ($single_sortable as $key => $value) {
switch ($value){
case 'cta':
          if(get_theme_mod( 'simple_days_social_cta_page',false) == true){
            get_template_part( 'inc/social','cta' );
          }
  break;

case 'share':
          if(get_theme_mod( 'simple_days_social_share','false') != 'false' && get_theme_mod( 'simple_days_page_social_share',false) == true){
            get_template_part( 'inc/social','share' );
          }
  break;

case 'author':
          if(get_theme_mod( 'simple_days_page_author_profile',false) == true){
            get_template_part( 'inc/author','profile' );
          }
  break;

case 'related':
          if(get_theme_mod( 'simple_days_page_related_page',false) == true && $pwcat == '1'){
              get_template_part( 'inc/related_pages' );
          }
  break;
case 'category':
          if($pwcat == '1'){
            $get_page_id = get_the_ID();
            $categories = get_the_category($get_page_id);
            if(!empty($categories)){
              echo '<div class="post_category"><i class="fa fa-folder-o" aria-hidden="true"></i> ';
              the_category(' ');
              echo '</div>';
            }
          }
  break;
case 'tag':
          if($pwcat == '1'){
          echo '<div class="post_tag">';
          the_tags('<i class="fa fa-tag" aria-hidden="true"></i> ', '');
          echo '</div>';
          }
  break;
case 'comment':
 
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
  break;
  default:
  
}
          }
?>


      </footer>
    </article>



<?php endwhile; ?>
    </div>

      <?php get_sidebar(); ?>

  </div>
</main>
<?php get_footer();
