<?php get_header(); ?>
<main itemprop="mainContentOfPage" itemscope="itemscope" itemtype="http://schema.org/Blog">
  <div class="container">
    <div class="contents contents_bg mt20 simple_days_box_shadow">
<?php while ( have_posts() ) : the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
      <header>
        <?php get_template_part( 'inc/header_meta','json' );?>
<?php
          $single_sortable = array();
          $single_sortable = get_theme_mod( 'simple_days_posts_header_sortable',array('breadcrumbs','title','date','author','thumbnail',
          ));

          foreach ($single_sortable as $key => $value) {
switch ($value){
case 'breadcrumbs':
         get_template_part( 'inc/breadcrumbs' );
              simple_days_breadcrumbs();
  break;
case 'title':
  echo '<h1 class="single_entry_title">'. esc_html(get_the_title()).'</h1>';
  edit_post_link( '<i class="fa fa-pencil-square-o" aria-hidden="true"></i> '.esc_attr__( 'Edit this post', 'simple-days' ) , '<span class="post_edit">' , '</span>');
  break;
case 'date':
    echo '<p class="post_date"><i class="fa fa-calendar-check-o" aria-hidden="true"></i> '.get_the_date();
    if (get_the_modified_date('Ymd') > get_the_date('Ymd')){
      echo '&emsp;<span class="post_updated"><i class="fa fa-history" aria-hidden="true"></i> <time datetime="'. esc_html(get_the_modified_time('c')).'">'.esc_html(get_the_modified_date()).'</time></span>';
    }
    echo '</p>';
  break;
case 'author':
    echo '<p class="post_author"><i class="fa fa-user" aria-hidden="true"></i> <a href="'.esc_html(get_author_posts_url( get_the_author_meta( 'ID' ) )).'">'. get_the_author() .'</a></p>';
  break;
case 'thumbnail':
  if(get_theme_mod( 'simple_days_posts_thumbnail',true) == true &&has_post_thumbnail()) {
    echo '<figure class="posts_thumbnail">';
    $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id (), 'full');
    echo '<'.( is_amp() ? 'amp-img layout="responsive"' : 'img' ).' src="'.esc_url( $thumurl[0] ).'" width="'.esc_attr( $thumurl[1] ).'" height="'.esc_attr( $thumurl[2] ).'" /></figure>';
  }
  break;
  default:
  
}

          }//end foreach

 ?>

      </header>

      <div id="post_body" class="post_body">
        <?php the_content(); ?>

        <div class="clearfix"></div>

        <?php  
          if ( is_active_sidebar( 'under_post' ) ) : ?>
          <aside class="under_post_widget">
            <?php dynamic_sidebar( 'under_post' ); ?>
          </aside>
          <?php endif;



          wp_link_pages( array(
            'before'      => '<div class="page-links">' . __( 'Pages:', 'simple-days' ),
            'after'       => '</div>',
            'link_before' => '<span class="page-number">',
            'link_after'  => '</span>',
          ) );

      echo '</div><footer>';

          $single_sortable = array();
          $single_sortable = get_theme_mod( 'simple_days_posts_footer_sortable',array('cta','share','author','related','category','tag','pagenation','comment',
          ));

          foreach ($single_sortable as $key => $value) {
switch ($value){
case 'cta':
          if(get_theme_mod( 'simple_days_social_cta',false) == true){
            get_template_part( 'inc/social','cta' );
          }
  break;

case 'share':
          if(get_theme_mod( 'simple_days_social_share','false') != 'false'){
            get_template_part( 'inc/social','share' );
          }
  break;

case 'author':
          if(get_theme_mod( 'simple_days_posts_author_profile',true) == true){
            get_template_part( 'inc/author','profile' );
          }
  break;

case 'related':
          if(get_theme_mod( 'simple_days_posts_related_post',true) == true){
            get_template_part( 'inc/related_posts' );
          }
  break;

case 'category':
          echo '<div class="post_category"><i class="fa fa-folder-o" aria-hidden="true"></i> ';
          the_category(' ');
          echo '</div>';
  break;
case 'tag':
          echo '<div class="post_tag">';
          the_tags('<i class="fa fa-tag" aria-hidden="true"></i> ', '');
          echo '</div>';
  break;
case 'pagenation':
          echo '<nav><div class="nav_links">';

$prevpost = get_adjacent_post(false, '', true); 
$nextpost = get_adjacent_post(false, '', false); 
 if ($prevpost) { 
  $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id ($prevpost->ID,  true));

  echo '<a href="' . esc_url(get_permalink($prevpost->ID)) . '" title="' . get_the_title($prevpost->ID) . '" class="nav_links_previous"><span class="nav_title_arrow_previous"><i class="fa fa-angle-double-left" aria-hidden="true"></i></span><div>';
  if (!empty($thumurl)){
    echo ( (is_amp() )?'<amp-img':'<img').' src="'.esc_url( $thumurl[0] ).'" width="100" height="100" />';
  }
  echo '</div><div><span class="p10">'.esc_html__( 'Previous Post', 'simple-days' ).'</span><p>' . esc_html(mb_strimwidth(get_the_title($prevpost->ID), 0, 80, "...", 'UTF-8')) . '</p></div></a>';
 }
 if ( $nextpost ) { 
  $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id ($nextpost->ID,  true));


  echo '<a href="' . esc_url(get_permalink($nextpost->ID)) . '" title="'. get_the_title($nextpost->ID) . '" class="nav_links_next"><div class="marginleft_auto"><span class="p10">'.esc_html__( 'Next Post', 'simple-days' ).'</span><p>'. esc_html(mb_strimwidth(get_the_title($nextpost->ID), 0, 80, "...", 'UTF-8')) . '</p></div><div>';
  if (!empty($thumurl)){
    echo ((is_amp())?'<amp-img':'<img').' src="'.esc_url( $thumurl[0] ).'" width="100" height="100" />';
  }
   echo '</div><span class="nav_title_arrow_next"><i class="fa fa-angle-double-right" aria-hidden="true"></i></span></a>';
 }
echo '</div></nav>';

  break;
case 'comment':
 
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
  break;
  default:
  
}
          }

          ?>





      </footer>
    </article>

<?php endwhile; ?>

    </div>

      <?php get_sidebar(); ?>

  </div>
</main>
<?php get_footer();
